# System settings get

An action block that gets the value of a system setting.

If the proceed option is set to Immediately, then get the current value without pausing the fiber. If set to When changed, then the fiber will pause until the value of the setting has changed.

Note! The value of a setting is always assigned as text.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Category — settings category, default is System.
- Name — name of setting.

## Output variables

- Current value — variable to assign the current text value of the setting.